> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Company Leave Types

> Retrieves the current company leave types. The query can be filtered by managedBy field.



## OpenAPI

````yaml get /platform/api/company_leave_types
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/company_leave_types:
    parameters: []
    get:
      tags:
        - A. Companies
      summary: GET Company Leave Types
      description: >-
        Retrieves the current company leave types. The query can be filtered by
        managedBy field.
      operationId: get-company_leave_types
      parameters:
        - schema:
            type: string
          in: query
          name: managedBy
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CompanyLeaveType'
              examples:
                Success:
                  value:
                    - id: 5b998dfb40cae798a83e8874
                      leaveType: VACATION
                      name: Vacation
                      description: ''
                      isUnpaid: false
      security:
        - Token: []
components:
  schemas:
    CompanyLeaveType:
      title: CompanyLeaveType
      type: object
      description: Company leave request object
      x-tags:
        - Models
      properties:
        id:
          type: string
          description: Unique identifier of the company leave request
        leaveType:
          type: string
          description: Company leave type key
        name:
          type: string
          description: Company leave type name
        description:
          type: string
        isUnpaid:
          type: boolean
          description: Is leave type unpaid
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````